/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package net.amoabeng.util.build;

import java.io.IOException;
import java.util.List;

/**
 * Generates resources in a build from sources provided by a FileSource.
 * @see FileSource
 * @see Link
 *
 * @author Manuel Amoabeng
 */
public interface ResourceBuilder {

    /**
     * @param fileSource  The source files to generate resources from
     * @return  Links to the generated resources
     * @throws IOException if an error occurs during resource generation
     */
    List<Link> build(FileSource fileSource) throws IOException;
}
