/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package net.amoabeng.util.build;

import java.io.IOException;
import java.nio.file.Path;
import java.util.Map;

/**
 * Generates resources in a build merging templates provided by a FileSource with Links to other resources.
 *
 * @author Manuel Amoabeng
 */
public interface TemplateBuilder {

    /**
     * @param source The source of the template
     * @param target The path to write the result to
     * @param content  The content to merge with the template
     * @throws IOException If an error occurs processing the template
     */
    void build(Path source, Path target, Map<String, String> content) throws IOException;
}
