/**
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see http://www.gnu.org/licenses/.
 */
package net.amoabeng.util.build;



/**
 * Factory for TemplateBuilders
 * @see TemplateBuilder
 *
 * @author Manuel Amoabeng
 */
public interface TemplateBuilderProducer {

    /**
     * @param settings The settings to apply on the FileSource to create
     * @return  The TemplateBuilder
     */
    TemplateBuilder newTemplateBuilder(Settings settings);
}
